package core.notevault.data;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "music_notes")
public class MusicNote {

    @PrimaryKey(autoGenerate = true)
    private int id;
    private String title;
    private String filePath;
    private String composer;
    private int year;
    private String genre;

    public MusicNote(String title, String filePath, String composer, int year, String genre) {
        this.title = title;
        this.filePath = filePath;
        this.composer = composer;
        this.year = year;
        this.genre = genre;
    }

    public MusicNote() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getComposer() {
        return composer;
    }

    public void setComposer(String composer) {
        this.composer = composer;
    }

    public String getGenre() {
        return genre;
    }

    public void setGenre(String genre) {
        this.genre = genre;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }
}
