package core.notevault.ui.home;

import android.net.Uri;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;
import core.notevault.MainActivity;
import core.notevault.data.MusicDatabase;
import core.notevault.ui.metadatadialog.MetaDataDialog;

import java.util.ArrayList;
import java.util.List;

public class HomeViewModel extends ViewModel {

    private final MutableLiveData<List<String>> noteTitles;

    public HomeViewModel() {
        noteTitles = new MutableLiveData<>(new ArrayList<>());
    }

    public LiveData<List<String>> getNoteTitles() {
        return noteTitles;
    }

    public void setNoteTitles(ArrayList<String> noteTitles) {
        this.noteTitles.setValue(noteTitles);
    }

    public void addNote(Uri uri) {

    }
}