package core.notevault.ui.home;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.widget.ImageView;
import androidx.appcompat.app.AppCompatActivity;
import core.notevault.R;

public class FullScreenImageActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_full_screen_image); // Erstelle eine Layout-Datei

        ImageView imageView = findViewById(R.id.fullscreen_image_view); // Angenommen, du hast ein ImageView

        // Die URI aus dem Intent erhalten
        Intent intent = getIntent();
        String imageUriString = intent.getStringExtra("imageUri");
        if (imageUriString != null) {
            Uri imageUri = Uri.parse(imageUriString);
            imageView.setImageURI(imageUri); // Setze die URI in das ImageView
        }
    }
}
